package com.unis.sxzcl.ui;

import android.os.Bundle;
import android.os.Handler;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

import com.unis.model.UserModel;
import com.unis.model.bean.UserBean;
import com.unis.sxzcl.base.FactoryActivity;
import com.unis.sxzcl.ui.home.MainActivity;
import com.unis.sxzcl.ui.login.LoginFragment;
import com.xyxsbj.mylibrary.tool.ActivityTool;

/**
 * 包名: com.unis.sxzcl.ui
 * 类名: WelcomeActivity
 * 作用描述: 启动页
 * 创建人: mQ
 * 创建时间: 2020/11/9 14:09
 * 更新人:
 * 更新时间: 2020/11/9 14:09
 * 更新说明:
 * 版本号: 1.0
 */
public class WelcomeActivity extends AppCompatActivity {

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        new Handler().postDelayed(this::next, 1 * 1000);
    }

    public void next() {
        UserBean user = UserModel.get().getUser();
        if (user == null) {
            // 无用户信息 跳转登录页
            FactoryActivity.startPage(WelcomeActivity.this, LoginFragment.class);
        } else {
            // 有用户信息 跳转首页
            ActivityTool.startActivity(this, MainActivity.class);
        }
        finish();
    }
}
